%global git_date    20110709
%global git_version 097ed8

Name:		django-avatar
Version:	2.0a1
Release:	5.%{git_date}git%{git_version}%{?dist}
Summary:	A django module for handling user avatars

Group:		Development/Libraries
License:	BSD
URL:		http://pypi.python.org/pypi/django-avatar/

# git clone https://github.com/ericflo/django-avatar.git 
# cd django-avatar;
# git archive --format=tar HEAD | xz  > django-avatar-{version}.{git_date}git{git_version}.tar.xz

Source0:	%{name}-%{version}.%{git_date}git%{git_version}.tar.xz
BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:	python-devel

Requires:	Django python-imaging

%description
Django-avatar is a reusable application for handling user avatars. It has the
ability to default to Gravatar if no avatar is found for a certain user.
Django-avatar automatically generates thumbnails and stores them to your
default file storage back-end for retrieval later.

%prep
%setup -q -cn %{name}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root=%{buildroot}

# Language files; not under /usr/share, need to be handled manually
(cd $RPM_BUILD_ROOT && find . -name 'django.?o') | sed -e 's|^.||' | sed -e \
  's:\(.*/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:' \
  >> %{name}.lang


%files -f %{name}.lang
%doc CHANGELOG CONTRIBUTORS.txt README.txt LICENSE.txt
%{python_sitelib}/avatar/
%{python_sitelib}/*.egg-info/

%changelog
* Mon Jul 18 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 2.0a1-5.20110709git097ed8
- add requires on python-imaging 

* Mon Jul 18 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 2.0a1-4.20110709git097ed8
- can't use find_lang django in EPEL. Use custom equivalent

* Mon Jul 18 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 2.0a1-3.20110709git097ed8
- add requires on Django

* Mon Jun 27 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 2.0a1-2.20110709git097ed8
- Spec improved from Rahul Sundaram

* Mon Jun 27 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 2.0a1-1.20110709git097ed8
- Initial RPM release
